> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt
> Use this file to discover all available pages before exploring further.

# get_all_pool_configs



## OpenAPI

````yaml /api-reference/damm-v1/openapi.json get /pool-configs
openapi: 3.0.3
info:
  title: dynamic-amm-keeper
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://damm-api.meteora.ag
    description: DAMM Mainnet API
  - url: https://damm-api.devnet.meteora.ag
    description: DAMM Devnet API
security: []
paths:
  /pool-configs:
    get:
      tags:
        - Pools
      summary: get_all_pool_configs
      operationId: get_all_pool_configs
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoolConfigResponse'
components:
  schemas:
    PoolConfigResponse:
      type: object
      required:
        - config_address
        - trade_fee_bps
        - protocol_fee_bps
        - activation_duration
        - vault_config_key
        - pool_creator_authority
        - activation_type
      properties:
        activation_duration:
          type: integer
          format: int64
        activation_type:
          type: integer
          format: int32
        config_address:
          type: string
        pool_creator_authority:
          type: string
        protocol_fee_bps:
          type: integer
          format: int64
        trade_fee_bps:
          type: integer
          format: int64
        vault_config_key:
          type: string

````